Bug 1304134 - opensmtpd-5.7.3p2 is available
opensmtpd-5.7.3p2 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: opensmtpd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 19:14 EST by Upstream Release Monitoring
Modified: 2016-03-06 21:56 EST (History)
2 users (show)

See Also:
Fixed In Version: opensmtpd-5.7.3p2-1.fc23 opensmtpd-5.7.3p2-1.el6 opensmtpd-5.7.3p2-1.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:24:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2016-02-02 19:14:09 EST
Latest upstream release: 5.7.3p2
Current version/release in rawhide: 5.7.3p1-1.fc24
URL: https://www.opensmtpd.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-02 19:14:17 EST
Failed to kick off scratch build.

list index out of range
Comment 2 Dirk Dankhoff 2016-02-16 12:06:10 EST
This new version is needed for opensmtpd to properly work in conjunction with openssl 1.0.2f as documented upstream [1].

Currently opensmtpd segfaults on up-to-date Fedora 23 (probably also in Rawhide; can't check) as soon as a client connects and uses STARTTLS. For that reason a backport/update for f23 should be considered critical.

[1] https://github.com/OpenSMTPD/OpenSMTPD/issues/650#issuecomment-178120346
Comment 3 Denis Fateyev 2016-02-16 17:02:33 EST
Didn't realize that f23 was affected too; will update soon.
Comment 4 Fedora Update System 2016-02-17 03:12:41 EST
opensmtpd-5.7.3p2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-58dde2301c
Comment 5 Fedora Update System 2016-02-17 03:12:42 EST
opensmtpd-5.7.3p2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6cdc2b2ba6
Comment 6 Fedora Update System 2016-02-17 03:12:46 EST
opensmtpd-5.7.3p2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-daa9b12540
Comment 7 Fedora Update System 2016-02-17 17:31:32 EST
opensmtpd-5.7.3p2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-58dde2301c
Comment 8 Fedora Update System 2016-02-21 01:21:52 EST
opensmtpd-5.7.3p2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6cdc2b2ba6
Comment 9 Fedora Update System 2016-02-21 01:53:42 EST
opensmtpd-5.7.3p2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-daa9b12540
Comment 10 Fedora Update System 2016-02-26 14:24:21 EST
opensmtpd-5.7.3p2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-06 17:28:36 EST
opensmtpd-5.7.3p2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-06 21:56:45 EST
opensmtpd-5.7.3p2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.